import { ElementRef, OnDestroy, TemplateRef } from '@angular/core';
import { Breakpoint, Color } from '@mintplayer/ng-bootstrap';
import { BehaviorSubject, Observable, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BsNavbarComponent implements OnDestroy {
    constructor();
    onWindowResize(): void;
    nav: ElementRef;
    autoclose: boolean;
    expandButtonTemplate: TemplateRef<any> | null;
    expandClass$: Observable<string>;
    wAutoClass$: Observable<string>;
    dNoneClass$: Observable<string>;
    isExpanded$: BehaviorSubject<boolean>;
    windowWidth$: BehaviorSubject<number | null>;
    isResizing$: BehaviorSubject<boolean>;
    expandAt$: Observable<number | null>;
    isSmallMode$: Observable<boolean>;
    backgroundColorClass$: Observable<string[]>;
    navClassList$: Observable<string[]>;
    destroyed$: Subject<unknown>;
    toggleExpanded(): void;
    ngOnDestroy(): void;
    color$: BehaviorSubject<Color | null>;
    get color(): Color | null;
    set color(value: Color | null);
    breakPoint$: BehaviorSubject<Breakpoint | null>;
    get breakpoint(): Breakpoint | null;
    set breakpoint(value: Breakpoint | null);
    static ɵfac: i0.ɵɵFactoryDeclaration<BsNavbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BsNavbarComponent, "bs-navbar", never, { "autoclose": "autoclose"; "color": "color"; "breakpoint": "breakpoint"; }, {}, never, ["bs-navbar-brand", "*"], false, never>;
}
